Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1319)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1320)
@@ -23,5 +23,10 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -70,62 +75,4 @@
 ! cross_profiles, profile_rows, profile_columns are written to netCDF header
 !
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt
-!
-! 600 2010-11-24 16:10:51Z raasch
-! bugfix concerning check of cross-section levels on netcdf-files to be
-! extended (xz,yz)
-!
-! 564 2010-09-30 13:18:59Z helmke
-! nc_precision changed from 40 masks to 1 mask, start number of mask output
-! files changed to 201, netcdf message identifiers of masked output changed 
-!
-! 519 2010-03-19 05:30:02Z raasch
-! particle number defined as unlimited dimension in case of netCDF4 output,
-! special characters like * and " are now allowed for netCDF variable names,
-! replacement of these characters removed, routine clean_netcdf_varname
-! removed
-!
-! 493 2010-03-01 08:30:24Z raasch
-! Extensions for netCDF4 output
-!
-! 410 2009-12-04 17:05:40Z letzel
-! masked data output
-!
-! 359 2009-08-19 16:56:44Z letzel
-! for extended netCDF files, the updated title attribute includes an update of
-! time_average_text where appropriate.
-! Bugfix for extended netCDF files: In order to avoid 'data mode' errors if
-! updated attributes are larger than their original size, NF90_PUT_ATT is called
-! in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a
-! possible performance loss; an alternative strategy would be to ensure equal
-! attribute size in a job chain.
-! netCDF unit attribute in timeseries output in case of statistic
-! regions added.
-! Output of netCDF messages with aid of message handling routine.
-! Output of messages replaced by message handling routine.
-! Typographical errors fixed.
-!
-! 216 2008-11-25 07:12:43Z raasch
-! Origin of the xy-coordinate system shifted from the center of the first
-! grid cell (indices i=0, j=0) to the south-left corner of this cell.
-!
-! 189 2008-08-13 17:09:26Z letzel
-! consistently allow 100 spectra levels instead of 10
-! bug fix in the determination of the number of output heights for spectra,
-! +user-defined spectra
-!
-! 97 2007-06-21 08:23:15Z raasch
-! Grids defined for rho and sa
-!
-! 48 2007-03-06 12:28:36Z raasch
-! Output topography height information (zu_s_inner, zw_s_inner) to 2d-xy and 3d
-! datasets
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/09/26 19:35:16  raasch
-! Bugfix yv coordinates for yz cross sections
-!
 ! Revision 1.1  2005/05/18 15:37:16  raasch
 ! Initial revision
@@ -149,54 +96,107 @@
 #if defined( __netcdf )
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                              &
+        ONLY:  zu, zw
+
+    USE constants,                                                              &
+        ONLY:  pi
+
+    USE control_parameters,                                                     &
+        ONLY:  averaging_interval, averaging_interval_pr, averaging_interval_sp,&
+        data_output_pr,  domask,  dopr_n,dopr_time_count, dopts_time_count,     &
+        dots_time_count, dosp_time_count, do2d, do2d_xz_time_count, do3d,       &
+        do2d_yz_time_count, mask_size, do2d_xy_time_count, do3d_time_count,     &
+        domask_time_count, mask_i_global, mask_j_global,mask_k_global,          &
+        message_string, mid, netcdf_data_format, netcdf_precision, ntdim_2d_xy, &
+        ntdim_2d_xz, ntdim_2d_yz, ntdim_3d, nz_do3d, prt_time_count,            &
+        run_description_header, section, simulated_time, topography
+
+    USE grid_variables,                                                         &
+        ONLY:  dx, dy, zu_s_inner, zw_w_inner
+
+    USE indices,                                                                &
+        ONLY:  nx, ny, nz ,nzb, nzt
+
     USE netcdf_control
+
+    USE kinds
+
     USE pegrid
-    USE particle_attributes
-    USE profil_parameter
-    USE spectrum
-    USE statistics
+
+    USE particle_attributes,                                                    &
+        ONLY:  maximum_number_of_particles, number_of_particle_groups
+
+    USE profil_parameter,                                                       &
+        ONLY:  crmax, cross_profiles, dopr_index,profile_columns, profile_rows
+
+    USE spectrum,                                                               &
+        ONLY:  comp_spectra_level, data_output_sp, spectra_direction
+
+    USE statistics,                                                             &
+        ONLY:  hom, statistic_regions
 
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=2)              ::  suffix
-    CHARACTER (LEN=2), INTENT (IN) ::  callmode
-    CHARACTER (LEN=3)              ::  suffix1
-    CHARACTER (LEN=4)              ::  grid_x, grid_y, grid_z
-    CHARACTER (LEN=6)              ::  mode
-    CHARACTER (LEN=10)             ::  netcdf_var_name, precision, var
-    CHARACTER (LEN=80)             ::  time_average_text
-    CHARACTER (LEN=2000)           ::  char_cross_profiles, var_list, var_list_old
-
-    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_adj,   &
-                                                cross_profiles_char
-
-    INTEGER ::  av, cross_profiles_count, cross_profiles_maxi, delim, &
-                delim_old, file_id, i, id_last, id_x, id_y, id_z, j,  &
-                k, kk, ns, ns_old, ntime_count, nz_old
-
-    INTEGER, SAVE ::  oldmode
-
-    INTEGER, DIMENSION(1) ::  id_dim_time_old, id_dim_x_yz_old,  &
-                              id_dim_y_xz_old, id_dim_zu_sp_old, &
-                              id_dim_zu_xy_old, id_dim_zu_3d_old, &
-                              id_dim_zu_mask_old
-
-    INTEGER, DIMENSION(1:crmax) ::  cross_profiles_numb
-
-    LOGICAL ::  found
-
-    LOGICAL, INTENT (INOUT) ::  extend
-
-    LOGICAL, SAVE ::  init_netcdf = .FALSE.
-
-    REAL, DIMENSION(1) ::  last_time_coordinate
-
-    REAL, DIMENSION(:), ALLOCATABLE   ::  netcdf_data
-    REAL, DIMENSION(:,:), ALLOCATABLE ::  netcdf_data_2d
+    CHARACTER (LEN=2)              ::  suffix                !:
+    CHARACTER (LEN=2), INTENT (IN) ::  callmode              !:
+    CHARACTER (LEN=3)              ::  suffix1               !:
+    CHARACTER (LEN=4)              ::  grid_x                !:
+    CHARACTER (LEN=4)              ::  grid_y                !:
+    CHARACTER (LEN=4)              ::  grid_z                !:
+    CHARACTER (LEN=6)              ::  mode                  !:
+    CHARACTER (LEN=10)             ::  netcdf_var_name       !:
+    CHARACTER (LEN=10)             ::  precision             !:
+    CHARACTER (LEN=10)             ::  var                   !:
+    CHARACTER (LEN=80)             ::  time_average_text     !:
+    CHARACTER (LEN=2000)           ::  char_cross_profiles   !:
+    CHARACTER (LEN=2000)           ::  var_list              !:
+    CHARACTER (LEN=2000)           ::  var_list_old          !:
+
+    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_adj   !:
+    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_char  !:
+
+    INTEGER(iwp) ::  av                                      !:
+    INTEGER(iwp) ::  cross_profiles_count                    !:
+    INTEGER(iwp) ::  cross_profiles_maxi                     !:
+    INTEGER(iwp) ::  delim                                   !:
+    INTEGER(iwp) ::  delim_old                               !:
+    INTEGER(iwp) ::  file_id                                 !:
+    INTEGER(iwp) ::  i                                       !:
+    INTEGER(iwp) ::  id_last                                 !:
+    INTEGER(iwp) ::  id_x                                    !:
+    INTEGER(iwp) ::  id_y                                    !:
+    INTEGER(iwp) ::  id_z                                    !:
+    INTEGER(iwp) ::  j                                       !:
+    INTEGER(iwp) ::  k                                       !:
+    INTEGER(iwp) ::  kk                                      !:
+    INTEGER(iwp) ::  ns                                      !:
+    INTEGER(iwp) ::  ns_old                                  !:
+    INTEGER(iwp) ::  ntime_count                             !:
+    INTEGER(iwp) ::  nz_old                                  !:
+
+    INTEGER(iwp), SAVE ::  oldmode                           !:
+
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_time_old           !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_x_yz_old           !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_y_xz_old           !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_sp_old          !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_xy_old          !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_3d_old          !:
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_mask_old        !:
+
+
+    INTEGER(iwp), DIMENSION(1:crmax) ::  cross_profiles_numb !:
+
+    LOGICAL ::  found                                        !:
+
+    LOGICAL, INTENT (INOUT) ::  extend                       !:
+
+    LOGICAL, SAVE ::  init_netcdf = .FALSE.                  !:
+
+    REAL(wp), DIMENSION(1) ::  last_time_coordinate          !:
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE   ::  netcdf_data    !:
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  netcdf_data_2d !:
 
 !
@@ -4969,5 +4969,5 @@
     CHARACTER(LEN=*) ::  routine_name
 
-    INTEGER ::  errno
+    INTEGER(iwp) ::  errno
 
     IF ( nc_stat /= NF90_NOERR )  THEN
Index: /palm/trunk/SOURCE/nudging.f90
===================================================================
--- /palm/trunk/SOURCE/nudging.f90	(revision 1319)
+++ /palm/trunk/SOURCE/nudging.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -62,20 +68,44 @@
     SUBROUTINE init_nudge
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  ptnudge, qnudge, timenudge, tnudge, unudge, vnudge, wnudge,  &
+                  zu
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_3d, lptnudge, lqnudge, lunudge, lvnudge, lwnudge,         &
+                   message_string, ntnudge
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzt
+
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER :: finput = 90, ierrn, k, t 
-
-       CHARACTER(1) :: hash
-       REAL :: highheight, highqnudge, highptnudge, highunudge, highvnudge, &
-               highwnudge, hightnudge
-       REAL :: lowheight, lowqnudge, lowptnudge, lowunudge, lowvnudge, &
-               lowwnudge, lowtnudge
-       REAL :: fac
+
+       INTEGER(iwp) ::  finput = 90  !:
+       INTEGER(iwp) ::  ierrn        !:
+       INTEGER(iwp) ::  k            !:
+       INTEGER(iwp) ::  t            !:
+
+       CHARACTER(1) ::  hash     !:
+
+       REAL(wp) ::  highheight   !:
+       REAL(wp) ::  highqnudge   !:
+       REAL(wp) ::  highptnudge  !:
+       REAL(wp) ::  highunudge   !:
+       REAL(wp) ::  highvnudge   !:
+       REAL(wp) ::  highwnudge   !:
+       REAL(wp) ::  hightnudge   !:
+
+       REAL(wp) ::  lowheight    !:
+       REAL(wp) ::  lowqnudge    !:
+       REAL(wp) ::  lowptnudge   !:
+       REAL(wp) ::  lowunudge    !:
+       REAL(wp) ::  lowvnudge    !:
+       REAL(wp) ::  lowwnudge    !:
+       REAL(wp) ::  lowtnudge    !:
+
+       REAL(wp) ::  fac          !:
 
        ALLOCATE( ptnudge(nzb:nzt+1,1:ntnudge), qnudge(nzb:nzt+1,1:ntnudge), &
@@ -103,5 +133,5 @@
           t = t + 1
           hash = "#"
-          ierrn = 1 ! not zero        
+          ierrn = 1 ! not zero
 !
 !--       Search for the next line consisting of "# time", 
@@ -160,10 +190,10 @@
              fac = ( highheight - zu(k) ) / ( highheight - lowheight )
 
-             tnudge(k,t)  = fac * lowtnudge + ( 1 - fac ) * hightnudge
-             unudge(k,t)  = fac * lowunudge + ( 1 - fac ) * highunudge
-             vnudge(k,t)  = fac * lowvnudge + ( 1 - fac ) * highvnudge
-             wnudge(k,t)  = fac * lowwnudge + ( 1 - fac ) * highwnudge
-             ptnudge(k,t) = fac * lowptnudge + ( 1 - fac ) * highptnudge
-             qnudge(k,t)  = fac * lowqnudge + ( 1 - fac ) * highqnudge
+             tnudge(k,t)  = fac * lowtnudge + ( 1.0 - fac ) * hightnudge
+             unudge(k,t)  = fac * lowunudge + ( 1.0 - fac ) * highunudge
+             vnudge(k,t)  = fac * lowvnudge + ( 1.0 - fac ) * highvnudge
+             wnudge(k,t)  = fac * lowwnudge + ( 1.0 - fac ) * highwnudge
+             ptnudge(k,t) = fac * lowptnudge + ( 1.0 - fac ) * highptnudge
+             qnudge(k,t)  = fac * lowqnudge + ( 1.0 - fac ) * highqnudge
           ENDDO
 
@@ -188,19 +218,36 @@
     SUBROUTINE nudge ( time, prog_var )
 
-       USE arrays_3d
-       USE buoyancy_mod
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
-       USE statistics 
+       USE arrays_3d,                                                          &
+           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tnudge, u, unudge,  &
+                  v, vnudge
+
+       USE buoyancy_mod,                                                       &
+           ONLY:  calc_mean_profile
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_3d, message_string
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nys, nyn, nzb, nzb_u_inner, nzt
+
+       USE kinds,                                                              &
+           ONLY:  iwp, wp
+
+       USE statistics,                                                         &
+           ONLY:  hom
 
        IMPLICIT NONE
 
-       CHARACTER (LEN=*) ::  prog_var
-
-       REAL :: currtnudge, dtm, dtp, time
-
-       INTEGER ::  i, j, k, t
+       CHARACTER (LEN=*) ::  prog_var  !:
+
+       REAL(wp) ::  currtnudge  !:
+       REAL(wp) ::  dtm         !:
+       REAL(wp) ::  dtp         !:
+       REAL(wp) ::  time        !:
+
+       INTEGER(iwp) ::  i  !:
+       INTEGER(iwp) ::  j  !:
+       INTEGER(iwp) ::  k  !:
+       INTEGER(iwp) ::  t  !:
 
 
@@ -309,19 +356,37 @@
     SUBROUTINE nudge_ij( i, j, time, prog_var )
 
-       USE arrays_3d
-       USE buoyancy_mod
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
-       USE statistics 
+       USE arrays_3d,                                                          &
+           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tnudge, u, unudge,  &
+                  v, vnudge
+
+       USE buoyancy_mod,                                                       &
+           ONLY:  calc_mean_profile
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_3d, message_string
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nys, nyn, nzb, nzb_u_inner, nzt
+
+       USE kinds,                                                              &
+           ONLY:  iwp, wp
+
+       USE statistics,                                                         &
+           ONLY:  hom
 
        IMPLICIT NONE
 
-       CHARACTER (LEN=*) ::  prog_var
-
-       REAL :: currtnudge, dtm, dtp, time
-
-       INTEGER ::  i, j, k, t
+
+       CHARACTER (LEN=*) ::  prog_var  !:
+
+       REAL(wp) ::  currtnudge  !:
+       REAL(wp) ::  dtm         !:
+       REAL(wp) ::  dtp         !:
+       REAL(wp) ::  time        !:
+
+       INTEGER(iwp) ::  i  !:
+       INTEGER(iwp) ::  j  !:
+       INTEGER(iwp) ::  k  !:
+       INTEGER(iwp) ::  t  !:
 
 
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1319)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -36,29 +42,4 @@
 ! replaced by collision_kernel
 !
-! 790 2011-11-29 03:11:20Z raasch
-! +turbulence_effects_on_collision, wang_collision_kernel in particles_par
-!
-! 336 2009-06-10 11:19:35Z raasch
-! +clip_dvrp_*, cluster_size, color_interval, dvrpsize_interval,
-! groundplate_color, isosurface_color, particle_color, particle_dvrpsize
-! topography_color, in dvrp_graphics_par,
-! parameter dvrp_psize moved from particles_par to dvrp_graphics_par
-! Variables for dvrp-mode pathlines added
-!
-! 210 2008-11-06 08:54:02Z raasch
-! Variables for dvrp-mode pathlines added
-!
-! 116 2007-10-11 02:30:27Z raasch
-! +dt_sort_particles in package_parin
-!
-! 60 2007-03-11 11:50:04Z raasch
-! Particles-package is now part of the default code
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.18  2006/08/04 14:52:23  raasch
-! +dt_dopts, dt_min_part, end_time_prel, particles_per_point,
-! use_sgs_for_particles in particles_par
-!
 ! Revision 1.1  2000/12/28 13:21:57  raasch
 ! Initial revision
@@ -71,12 +52,44 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE dvrp_variables
-    USE particle_attributes
-    USE spectrum
+    USE control_parameters,                                                    &
+        ONLY:  averaging_interval_sp, dt_dopts, dt_dosp, dt_dvrp,              &
+                particle_maximum_age, skip_time_dosp, threshold
+
+    USE dvrp_variables,                                                        &
+        ONLY:  clip_dvrp_l, clip_dvrp_n, clip_dvrp_r, clip_dvrp_s,             &
+               cluster_size, color_interval, dvrpsize_interval,                &
+               dvrp_directory, dvrp_file, dvrp_host, dvrp_output,              &
+               dvrp_password, dvrp_username, groundplate_color,                &
+               isosurface_color, mode_dvrp, particle_color,                    &
+               particle_dvrpsize, pathlines_fadeintime,                        &
+               pathlines_fadeouttime, pathlines_linecount,                     &
+               pathlines_maxhistory, pathlines_wavecount,                      &
+               pathlines_wavetime, slicer_range_limits_dvrp, superelevation,   &
+               superelevation_x, superelevation_y, topography_color,           &
+               vc_alpha, vc_gradient_normals, vc_mode, vc_size_x, vc_size_y,   &
+               vc_size_z
+
+    USE particle_attributes,                                                   &
+        ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
+               density_ratio, dissipation_classes, dt_min_part, dt_prel,       &
+               dt_sort_particles, dt_write_particle_data, dvrp_psize,          &
+               end_time_prel, initial_weighting_factor,                        &
+               maximum_number_of_particles, maximum_number_of_tailpoints,      &
+               maximum_tailpoint_age, minimum_tailpoint_distance,              &
+               number_of_particle_groups, particles_per_point,                 &
+               particle_advection, particle_advection_start, pdx, pdy, pdz,    &
+               psb, psl, psn, psr, pss, pst, radius, radius_classes,           &
+               random_start_position, read_particles_from_restartfile,         &
+               skip_particles_for_tail, use_particle_tails,                    &
+               use_sgs_for_particles, vertical_particle_advection,             &
+               write_particle_statistics
+
+    USE spectrum,                                                              &
+        ONLY:  comp_spectra_level, data_output_sp, plot_spectra_level,         &
+               spectra_direction
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=80) ::  zeile
+    CHARACTER (LEN=80) ::  line  !:
 
     NAMELIST /dvrp_graphics_par/  clip_dvrp_l, clip_dvrp_n, clip_dvrp_r,       &
@@ -117,4 +130,5 @@
                                   vertical_particle_advection,                 &
                                   write_particle_statistics
+
     NAMELIST /spectra_par/        averaging_interval_sp, comp_spectra_level,   &
                                   data_output_sp, dt_dosp, plot_spectra_level, &
@@ -125,11 +139,11 @@
 !-- parin), search for the namelist-group of the package and position the
 !-- file at this line. Do the same for each optionally used package.
-    zeile = ' '
+    line = ' '
 
 #if defined( __dvrp_graphics )
     REWIND ( 11 )
-    zeile = ' '
-    DO   WHILE ( INDEX( zeile, '&dvrp_graphics_par' ) == 0 )
-       READ ( 11, '(A)', END=10 )  zeile
+    line = ' '
+    DO   WHILE ( INDEX( line, '&dvrp_graphics_par' ) == 0 )
+       READ ( 11, '(A)', END=10 )  line
     ENDDO
     BACKSPACE ( 11 )
@@ -145,7 +159,7 @@
 !-- Try to find particles package
     REWIND ( 11 )
-    zeile = ' '
-    DO   WHILE ( INDEX( zeile, '&particles_par' ) == 0 )
-       READ ( 11, '(A)', END=20 )  zeile
+    line = ' '
+    DO   WHILE ( INDEX( line, '&particles_par' ) == 0 )
+       READ ( 11, '(A)', END=20 )  line
     ENDDO
     BACKSPACE ( 11 )
@@ -164,7 +178,7 @@
 #if defined( __spectra )
     REWIND ( 11 )
-    zeile = ' '
-    DO   WHILE ( INDEX( zeile, '&spectra_par' ) == 0 )
-       READ ( 11, '(A)', END=30 )  zeile
+    line = ' '
+    DO   WHILE ( INDEX( line, '&spectra_par' ) == 0 )
+       READ ( 11, '(A)', END=30 )  line
     ENDDO
     BACKSPACE ( 11 )
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 1319)
+++ /palm/trunk/SOURCE/palm.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -59,37 +65,4 @@
 ! 849 2012-03-15 10:35:09Z raasch
 ! write_particles renamed lpm_write_restart_file
-!
-! 759 2011-09-15 13:58:31Z raasch
-! Splitting of parallel I/O, cpu measurement for write_3d_binary and opening
-! of unit 14 moved to here
-!
-! 495 2010-03-02 00:40:15Z raasch
-! Particle data for restart runs are only written if write_binary=.T..
-!
-! 215 2008-11-18 09:54:31Z raasch
-! Initialization of coupled runs modified for MPI-1 and moved to external
-! subroutine init_coupling
-!
-! 197 2008-09-16 15:29:03Z raasch
-! Workaround for getting information about the coupling mode
-!
-! 108 2007-08-24 15:10:38Z letzel
-! Get coupling mode from environment variable, change location of debug output
-!
-! 75 2007-03-22 09:54:05Z raasch
-! __vtk directives removed, write_particles is called only in case of particle
-! advection switched on, open unit 9 for debug output,
-! setting of palm version moved from modules to here
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.10  2006/08/04 14:53:12  raasch
-! Distibution of run description header removed, call of header moved behind
-! init_3d_model
-!
-! Revision 1.2  2001/01/25 07:15:06  raasch
-! Program name changed to PALM, module test_variables removed.
-! Initialization of dvrp logging as well as exit of dvrp moved to new
-! subroutines init_dvrp_logging and close_dvrp (file init_dvrp.f90)
 !
 ! Revision 1.1  1997/07/24 11:23:35  raasch
@@ -108,18 +81,24 @@
 
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE cpulog
-    USE dvrp_variables
-    USE grid_variables
-    USE indices
-    USE ls_forcing_mod
-    USE model_1d
-    USE nudge_mod
-    USE particle_attributes
+    USE control_parameters,                                                    &
+        ONLY:  coupling_char, coupling_mode, do2d_at_begin, do3d_at_begin,     &
+               io_blocks, io_group, large_scale_forcing, nudging,              &
+               simulated_time, simulated_time_chr, version, write_binary
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point, cpu_statistics
+
+    USE kinds
+
+    USE ls_forcing_mod,                                                        &
+        ONLY:  init_ls_forcing
+
+    USE nudge_mod,                                                             &
+        ONLY:  init_nudge
+
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection
+
     USE pegrid
-    USE spectrum
-    USE statistics
 
 #if defined( __openacc )
@@ -131,8 +110,8 @@
 !
 !-- Local variables
-    CHARACTER (LEN=9) ::  time_to_string
-    INTEGER           ::  i
+    CHARACTER(LEN=9) ::  time_to_string  !:
+    INTEGER(iwp)     ::  i               !:
 #if defined( __openacc )
-    REAL, DIMENSION(100) ::  acc_dum
+    REAL(wp), DIMENSION(100) ::  acc_dum     !:
 #endif
 
